import QtQuick 1.0
import QtMobility.contacts 1.1
import com.nokia.meego 1.0

Page
{
    orientationLock: PageOrientation.LockPortrait

    tools: ToolBarLayout
    {
        id: contactSelectedPageTools
        visible: true
        width: 440
        anchors.horizontalCenter: parent.horizontalCenter

        ToolButton
        {
            width: 130
            text: "Back"
            onClicked: appWindow.pageStack.pop()
        }
/*
        ToolButton
        {
            width: 130
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            text: "Timer"
        }
*/
        ToolButton
        {
            width: 130
            text: "Call NOW"
            onClicked:
            {                
                appWindow.placeCall();
                appWindow.pageStack.push(incomingCallPage);
            }
        }
    }

    Rectangle
    {
        width: 854
        height: 854
        color: "black"
        Rectangle
        {
            id: selectedMiddleZone
            width:854
            height:754
            color: "black"

            Text
            {
                id: contactName
                y: 150
                font.pixelSize: 50
                text: appWindow.callerName
                color: "grey"
                Connections
                {
                    target: appWindow
                    onCallerChanged:
                    {
                        contactName.text = callerName;
                    }
                }
            }
            Text
            {
                id: contactNumber
                y: 250
                font.pixelSize: 50
                text: appWindow.callerNumber
                color: "grey"
                Connections
                {
                    target:appWindow
                    onNumberChanged:
                    {
                        contactNumber.text = callerNumber;
                    }
                }
            }
        }

        Rectangle
        {
            id: selectedTopZone
            width: 854
            height: 100
            color: "black"
            Label
            {
                font.pixelSize: 50
                id: lblChoose
                y:10
                color: "white"
                text: 'Selected Contact'
            }

            Rectangle
            {
                width: 854
                height: 1
                y: parent.y + parent.height
                color: "grey"
            }
        }
    }
}
